Imported Upstream version 2.6.7
[platform/upstream/harfbuzz.git] / test / shaping / data / text-rendering-tests / Makefile.in
1 # Makefile.in generated by automake 1.16.2 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this file with automake to produce Makefile.in
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20   if test -z '$(MAKELEVEL)'; then \
21     false; \
22   elif test -n '$(MAKE_HOST)'; then \
23     true; \
24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25     true; \
26   else \
27     false; \
28   fi; \
29 }
30 am__make_running_with_option = \
31   case $${target_option-} in \
32       ?) ;; \
33       *) echo "am__make_running_with_option: internal error: invalid" \
34               "target option '$${target_option-}' specified" >&2; \
35          exit 1;; \
36   esac; \
37   has_opt=no; \
38   sane_makeflags=$$MAKEFLAGS; \
39   if $(am__is_gnu_make); then \
40     sane_makeflags=$$MFLAGS; \
41   else \
42     case $$MAKEFLAGS in \
43       *\\[\ \   ]*) \
44         bs=\\; \
45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47     esac; \
48   fi; \
49   skip_next=no; \
50   strip_trailopt () \
51   { \
52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53   }; \
54   for flg in $$sane_makeflags; do \
55     test $$skip_next = yes && { skip_next=no; continue; }; \
56     case $$flg in \
57       *=*|--*) continue;; \
58         -*I) strip_trailopt 'I'; skip_next=yes;; \
59       -*I?*) strip_trailopt 'I';; \
60         -*O) strip_trailopt 'O'; skip_next=yes;; \
61       -*O?*) strip_trailopt 'O';; \
62         -*l) strip_trailopt 'l'; skip_next=yes;; \
63       -*l?*) strip_trailopt 'l';; \
64       -[dEDm]) skip_next=yes;; \
65       -[JT]) skip_next=yes;; \
66     esac; \
67     case $$flg in \
68       *$$target_option*) has_opt=yes; break;; \
69     esac; \
70   done; \
71   test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 TESTS = tests/AVAR-1.tests tests/CFF-1.tests tests/CFF-2.tests \
93         tests/CFF2-1.tests tests/CMAP-1.tests tests/CMAP-2.tests \
94         tests/CVAR-1.tests tests/CVAR-2.tests tests/GLYF-1.tests \
95         tests/GPOS-1.tests tests/GPOS-2.tests tests/GPOS-3.tests \
96         tests/GPOS-4.tests tests/GPOS-5.tests tests/GSUB-1.tests \
97         tests/GSUB-2.tests tests/GSUB-3.tests tests/GVAR-1.tests \
98         tests/GVAR-2.tests tests/GVAR-3.tests tests/GVAR-4.tests \
99         tests/GVAR-5.tests tests/GVAR-6.tests tests/GVAR-7.tests \
100         tests/GVAR-8.tests tests/GVAR-9.tests tests/HVAR-1.tests \
101         tests/HVAR-2.tests tests/KERN-1.tests tests/KERN-2.tests \
102         tests/MORX-1.tests tests/MORX-10.tests tests/MORX-11.tests \
103         tests/MORX-12.tests tests/MORX-13.tests tests/MORX-14.tests \
104         tests/MORX-16.tests tests/MORX-17.tests tests/MORX-18.tests \
105         tests/MORX-19.tests tests/MORX-2.tests tests/MORX-20.tests \
106         tests/MORX-21.tests tests/MORX-22.tests tests/MORX-23.tests \
107         tests/MORX-24.tests tests/MORX-25.tests tests/MORX-26.tests \
108         tests/MORX-27.tests tests/MORX-28.tests tests/MORX-29.tests \
109         tests/MORX-3.tests tests/MORX-30.tests tests/MORX-31.tests \
110         tests/MORX-32.tests tests/MORX-33.tests tests/MORX-34.tests \
111         tests/MORX-35.tests tests/MORX-36.tests tests/MORX-37.tests \
112         tests/MORX-38.tests tests/MORX-39.tests tests/MORX-4.tests \
113         tests/MORX-40.tests tests/MORX-41.tests tests/MORX-5.tests \
114         tests/MORX-6.tests tests/MORX-7.tests tests/MORX-8.tests \
115         tests/MORX-9.tests tests/SFNT-1.tests tests/SFNT-2.tests \
116         tests/SHBALI-3.tests tests/SHKNDA-1.tests $(am__EXEEXT_1)
117 subdir = test/shaping/data/text-rendering-tests
118 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
119 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_link_flag.m4 \
120         $(top_srcdir)/m4/ax_code_coverage.m4 \
121         $(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
122         $(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gtk-doc.m4 \
123         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
124         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
125         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
126 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
127         $(ACLOCAL_M4)
128 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
129 mkinstalldirs = $(install_sh) -d
130 CONFIG_HEADER = $(top_builddir)/config.h
131 CONFIG_CLEAN_FILES =
132 CONFIG_CLEAN_VPATH_FILES =
133 AM_V_P = $(am__v_P_@AM_V@)
134 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
135 am__v_P_0 = false
136 am__v_P_1 = :
137 AM_V_GEN = $(am__v_GEN_@AM_V@)
138 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
139 am__v_GEN_0 = @echo "  GEN     " $@;
140 am__v_GEN_1 = 
141 AM_V_at = $(am__v_at_@AM_V@)
142 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
143 am__v_at_0 = @
144 am__v_at_1 = 
145 SOURCES =
146 DIST_SOURCES =
147 am__can_run_installinfo = \
148   case $$AM_UPDATE_INFO_DIR in \
149     n|no|NO) false;; \
150     *) (install-info --version) >/dev/null 2>&1;; \
151   esac
152 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
153 am__tty_colors_dummy = \
154   mgn= red= grn= lgn= blu= brg= std=; \
155   am__color_tests=no
156 am__tty_colors = { \
157   $(am__tty_colors_dummy); \
158   if test "X$(AM_COLOR_TESTS)" = Xno; then \
159     am__color_tests=no; \
160   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
161     am__color_tests=yes; \
162   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
163     am__color_tests=yes; \
164   fi; \
165   if test $$am__color_tests = yes; then \
166     red='\e[0;31m'; \
167     grn='\e[0;32m'; \
168     lgn='\e[1;32m'; \
169     blu='\e[1;34m'; \
170     mgn='\e[0;35m'; \
171     brg='\e[1m'; \
172     std='\e[m'; \
173   fi; \
174 }
175 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
176 am__vpath_adj = case $$p in \
177     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
178     *) f=$$p;; \
179   esac;
180 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
181 am__install_max = 40
182 am__nobase_strip_setup = \
183   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
184 am__nobase_strip = \
185   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
186 am__nobase_list = $(am__nobase_strip_setup); \
187   for p in $$list; do echo "$$p $$p"; done | \
188   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
189   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
190     if (++n[$$2] == $(am__install_max)) \
191       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
192     END { for (dir in files) print dir, files[dir] }'
193 am__base_list = \
194   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
195   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
196 am__uninstall_files_from_dir = { \
197   test -z "$$files" \
198     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
199     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
200          $(am__cd) "$$dir" && rm -f $$files; }; \
201   }
202 am__recheck_rx = ^[     ]*:recheck:[    ]*
203 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
204 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
205 # A command that, given a newline-separated list of test names on the
206 # standard input, print the name of the tests that are to be re-run
207 # upon "make recheck".
208 am__list_recheck_tests = $(AWK) '{ \
209   recheck = 1; \
210   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
211     { \
212       if (rc < 0) \
213         { \
214           if ((getline line2 < ($$0 ".log")) < 0) \
215             recheck = 0; \
216           break; \
217         } \
218       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
219         { \
220           recheck = 0; \
221           break; \
222         } \
223       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
224         { \
225           break; \
226         } \
227     }; \
228   if (recheck) \
229     print $$0; \
230   close ($$0 ".trs"); \
231   close ($$0 ".log"); \
232 }'
233 # A command that, given a newline-separated list of test names on the
234 # standard input, create the global log from their .trs and .log files.
235 am__create_global_log = $(AWK) ' \
236 function fatal(msg) \
237 { \
238   print "fatal: making $@: " msg | "cat >&2"; \
239   exit 1; \
240 } \
241 function rst_section(header) \
242 { \
243   print header; \
244   len = length(header); \
245   for (i = 1; i <= len; i = i + 1) \
246     printf "="; \
247   printf "\n\n"; \
248 } \
249 { \
250   copy_in_global_log = 1; \
251   global_test_result = "RUN"; \
252   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
253     { \
254       if (rc < 0) \
255          fatal("failed to read from " $$0 ".trs"); \
256       if (line ~ /$(am__global_test_result_rx)/) \
257         { \
258           sub("$(am__global_test_result_rx)", "", line); \
259           sub("[        ]*$$", "", line); \
260           global_test_result = line; \
261         } \
262       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
263         copy_in_global_log = 0; \
264     }; \
265   if (copy_in_global_log) \
266     { \
267       rst_section(global_test_result ": " $$0); \
268       while ((rc = (getline line < ($$0 ".log"))) != 0) \
269       { \
270         if (rc < 0) \
271           fatal("failed to read from " $$0 ".log"); \
272         print line; \
273       }; \
274       printf "\n"; \
275     }; \
276   close ($$0 ".trs"); \
277   close ($$0 ".log"); \
278 }'
279 # Restructured Text title.
280 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
281 # Solaris 10 'make', and several other traditional 'make' implementations,
282 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
283 # by disabling -e (using the XSI extension "set +e") if it's set.
284 am__sh_e_setup = case $$- in *e*) set +e;; esac
285 # Default flags passed to test drivers.
286 am__common_driver_flags = \
287   --color-tests "$$am__color_tests" \
288   --enable-hard-errors "$$am__enable_hard_errors" \
289   --expect-failure "$$am__expect_failure"
290 # To be inserted before the command running the test.  Creates the
291 # directory for the log if needed.  Stores in $dir the directory
292 # containing $f, in $tst the test, in $log the log.  Executes the
293 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
294 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
295 # will run the test scripts (or their associated LOG_COMPILER, if
296 # thy have one).
297 am__check_pre = \
298 $(am__sh_e_setup);                                      \
299 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
300 $(am__tty_colors);                                      \
301 srcdir=$(srcdir); export srcdir;                        \
302 case "$@" in                                            \
303   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
304     *) am__odir=.;;                                     \
305 esac;                                                   \
306 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
307   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
308 if test -f "./$$f"; then dir=./;                        \
309 elif test -f "$$f"; then dir=;                          \
310 else dir="$(srcdir)/"; fi;                              \
311 tst=$$dir$$f; log='$@';                                 \
312 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
313   am__enable_hard_errors=no;                            \
314 else                                                    \
315   am__enable_hard_errors=yes;                           \
316 fi;                                                     \
317 case " $(XFAIL_TESTS) " in                              \
318   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
319     am__expect_failure=yes;;                            \
320   *)                                                    \
321     am__expect_failure=no;;                             \
322 esac;                                                   \
323 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
324 # A shell command to get the names of the tests scripts with any registered
325 # extension removed (i.e., equivalently, the names of the test logs, with
326 # the '.log' extension removed).  The result is saved in the shell variable
327 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
328 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
329 # since that might cause problem with VPATH rewrites for suffix-less tests.
330 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
331 am__set_TESTS_bases = \
332   bases='$(TEST_LOGS)'; \
333   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
334   bases=`echo $$bases`
335 RECHECK_LOGS = $(TEST_LOGS)
336 AM_RECURSIVE_TARGETS = check recheck
337 am__EXEEXT_1 =
338 TEST_SUITE_LOG = test-suite.log
339 am__test_logs1 = $(TESTS:=.log)
340 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
341 TEST_LOGS = $(am__test_logs2:.tests.log=.log)
342 TESTS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
343 TESTS_LOG_COMPILE = $(TESTS_LOG_COMPILER) $(AM_TESTS_LOG_FLAGS) \
344         $(TESTS_LOG_FLAGS)
345 am__set_b = \
346   case '$@' in \
347     */*) \
348       case '$*' in \
349         */*) b='$*';; \
350           *) b=`echo '$@' | sed 's/\.log$$//'`; \
351        esac;; \
352     *) \
353       b='$*';; \
354   esac
355 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.sources \
356         $(top_srcdir)/test-driver COPYING README
357 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
358 ACLOCAL = @ACLOCAL@
359 AMTAR = @AMTAR@
360 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
361 AR = @AR@
362 AUTOCONF = @AUTOCONF@
363 AUTOHEADER = @AUTOHEADER@
364 AUTOMAKE = @AUTOMAKE@
365 AWK = @AWK@
366 CAIRO_CFLAGS = @CAIRO_CFLAGS@
367 CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
368 CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
369 CAIRO_LIBS = @CAIRO_LIBS@
370 CC = @CC@
371 CCDEPMODE = @CCDEPMODE@
372 CFLAGS = @CFLAGS@
373 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
374 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
375 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
376 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
377 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
378 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
379 CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
380 CORETEXT_LIBS = @CORETEXT_LIBS@
381 CPP = @CPP@
382 CPPFLAGS = @CPPFLAGS@
383 CXX = @CXX@
384 CXXCPP = @CXXCPP@
385 CXXDEPMODE = @CXXDEPMODE@
386 CXXFLAGS = @CXXFLAGS@
387 CYGPATH_W = @CYGPATH_W@
388 DEFS = @DEFS@
389 DEPDIR = @DEPDIR@
390 DIRECTWRITE_CXXFLAGS = @DIRECTWRITE_CXXFLAGS@
391 DIRECTWRITE_LIBS = @DIRECTWRITE_LIBS@
392 DLLTOOL = @DLLTOOL@
393 DSYMUTIL = @DSYMUTIL@
394 DUMPBIN = @DUMPBIN@
395 ECHO_C = @ECHO_C@
396 ECHO_N = @ECHO_N@
397 ECHO_T = @ECHO_T@
398 EGREP = @EGREP@
399 EXEEXT = @EXEEXT@
400 FGREP = @FGREP@
401 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
402 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
403 FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
404 FREETYPE_DEPS = @FREETYPE_DEPS@
405 FREETYPE_LIBS = @FREETYPE_LIBS@
406 GCOV = @GCOV@
407 GDI_CFLAGS = @GDI_CFLAGS@
408 GDI_LIBS = @GDI_LIBS@
409 GENHTML = @GENHTML@
410 GIT = @GIT@
411 GLIB_CFLAGS = @GLIB_CFLAGS@
412 GLIB_DEPS = @GLIB_DEPS@
413 GLIB_LIBS = @GLIB_LIBS@
414 GLIB_MKENUMS = @GLIB_MKENUMS@
415 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
416 GOBJECT_LIBS = @GOBJECT_LIBS@
417 GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
418 GRAPHITE2_DEPS = @GRAPHITE2_DEPS@
419 GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
420 GREP = @GREP@
421 GTKDOC_CHECK = @GTKDOC_CHECK@
422 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
423 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
424 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
425 GTKDOC_MKPDF = @GTKDOC_MKPDF@
426 GTKDOC_REBASE = @GTKDOC_REBASE@
427 HAVE_CXX11 = @HAVE_CXX11@
428 HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
429 HB_VERSION = @HB_VERSION@
430 HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
431 HB_VERSION_MICRO = @HB_VERSION_MICRO@
432 HB_VERSION_MINOR = @HB_VERSION_MINOR@
433 HTML_DIR = @HTML_DIR@
434 ICU_CFLAGS = @ICU_CFLAGS@
435 ICU_CONFIG = @ICU_CONFIG@
436 ICU_LIBS = @ICU_LIBS@
437 INSTALL = @INSTALL@
438 INSTALL_DATA = @INSTALL_DATA@
439 INSTALL_PROGRAM = @INSTALL_PROGRAM@
440 INSTALL_SCRIPT = @INSTALL_SCRIPT@
441 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
442 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
443 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
444 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
445 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
446 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
447 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
448 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
449 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
450 LCOV = @LCOV@
451 LD = @LD@
452 LDFLAGS = @LDFLAGS@
453 LIBOBJS = @LIBOBJS@
454 LIBS = @LIBS@
455 LIBTOOL = @LIBTOOL@
456 LIPO = @LIPO@
457 LN_S = @LN_S@
458 LTLIBOBJS = @LTLIBOBJS@
459 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
460 MAKEINFO = @MAKEINFO@
461 MANIFEST_TOOL = @MANIFEST_TOOL@
462 MKDIR_P = @MKDIR_P@
463 NM = @NM@
464 NMEDIT = @NMEDIT@
465 OBJDUMP = @OBJDUMP@
466 OBJEXT = @OBJEXT@
467 OTOOL = @OTOOL@
468 OTOOL64 = @OTOOL64@
469 PACKAGE = @PACKAGE@
470 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
471 PACKAGE_NAME = @PACKAGE_NAME@
472 PACKAGE_STRING = @PACKAGE_STRING@
473 PACKAGE_TARNAME = @PACKAGE_TARNAME@
474 PACKAGE_URL = @PACKAGE_URL@
475 PACKAGE_VERSION = @PACKAGE_VERSION@
476 PATH_SEPARATOR = @PATH_SEPARATOR@
477 PKG_CONFIG = @PKG_CONFIG@
478 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
479 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
480 PTHREAD_CC = @PTHREAD_CC@
481 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
482 PTHREAD_LIBS = @PTHREAD_LIBS@
483 RAGEL = @RAGEL@
484 RANLIB = @RANLIB@
485 SED = @SED@
486 SET_MAKE = @SET_MAKE@
487 SHELL = @SHELL@
488 STRIP = @STRIP@
489 UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
490 UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
491 VERSION = @VERSION@
492 _GI_EXP_DATADIR = @_GI_EXP_DATADIR@
493 _GI_EXP_LIBDIR = @_GI_EXP_LIBDIR@
494 abs_builddir = @abs_builddir@
495 abs_srcdir = @abs_srcdir@
496 abs_top_builddir = @abs_top_builddir@
497 abs_top_srcdir = @abs_top_srcdir@
498 ac_ct_AR = @ac_ct_AR@
499 ac_ct_CC = @ac_ct_CC@
500 ac_ct_CXX = @ac_ct_CXX@
501 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
502 am__include = @am__include@
503 am__leading_dot = @am__leading_dot@
504 am__quote = @am__quote@
505 am__tar = @am__tar@
506 am__untar = @am__untar@
507 ax_pthread_config = @ax_pthread_config@
508 bindir = @bindir@
509 build = @build@
510 build_alias = @build_alias@
511 build_cpu = @build_cpu@
512 build_os = @build_os@
513 build_vendor = @build_vendor@
514 builddir = @builddir@
515 datadir = @datadir@
516 datarootdir = @datarootdir@
517 docdir = @docdir@
518 dvidir = @dvidir@
519 exec_prefix = @exec_prefix@
520 have_gobject = @have_gobject@
521 host = @host@
522 host_alias = @host_alias@
523 host_cpu = @host_cpu@
524 host_os = @host_os@
525 host_vendor = @host_vendor@
526 htmldir = @htmldir@
527 includedir = @includedir@
528 infodir = @infodir@
529 install_sh = @install_sh@
530 libdir = @libdir@
531 libexecdir = @libexecdir@
532 localedir = @localedir@
533 localstatedir = @localstatedir@
534 mandir = @mandir@
535 mkdir_p = @mkdir_p@
536 oldincludedir = @oldincludedir@
537 pdfdir = @pdfdir@
538 prefix = @prefix@
539 program_transform_name = @program_transform_name@
540 psdir = @psdir@
541 sbindir = @sbindir@
542 sharedstatedir = @sharedstatedir@
543 srcdir = @srcdir@
544 sysconfdir = @sysconfdir@
545 target_alias = @target_alias@
546 top_build_prefix = @top_build_prefix@
547 top_builddir = @top_builddir@
548 top_srcdir = @top_srcdir@
549 NULL = 
550 EXTRA_DIST = \
551         README \
552         COPYING \
553         DISABLED \
554         update.py \
555         meson.build \
556         fonts \
557         $(TESTS) \
558         $(NULL)
559
560 TEST_EXTENSIONS = .tests
561 TESTS_LOG_COMPILER = $(srcdir)/../../run-tests.py $(top_builddir)/util/hb-shape$(EXEEXT)
562 DISBALED_TESTS = \
563         tests/CMAP-3.tests \
564         tests/SHARAN-1.tests \
565         tests/SHBALI-1.tests \
566         tests/SHBALI-2.tests \
567         tests/SHKNDA-2.tests \
568         tests/SHKNDA-3.tests \
569         tests/SHLANA-1.tests \
570         tests/SHLANA-10.tests \
571         tests/SHLANA-2.tests \
572         tests/SHLANA-3.tests \
573         tests/SHLANA-4.tests \
574         tests/SHLANA-5.tests \
575         tests/SHLANA-6.tests \
576         tests/SHLANA-7.tests \
577         tests/SHLANA-8.tests \
578         tests/SHLANA-9.tests \
579         $(NULL)
580
581 all: all-am
582
583 .SUFFIXES:
584 .SUFFIXES: .log .tests .tests$(EXEEXT) .trs
585 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.sources $(am__configure_deps)
586         @for dep in $?; do \
587           case '$(am__configure_deps)' in \
588             *$$dep*) \
589               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
590                 && { if test -f $@; then exit 0; else break; fi; }; \
591               exit 1;; \
592           esac; \
593         done; \
594         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/shaping/data/text-rendering-tests/Makefile'; \
595         $(am__cd) $(top_srcdir) && \
596           $(AUTOMAKE) --gnits test/shaping/data/text-rendering-tests/Makefile
597 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
598         @case '$?' in \
599           *config.status*) \
600             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
601           *) \
602             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
603             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
604         esac;
605 $(srcdir)/Makefile.sources $(am__empty):
606
607 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
608         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
609
610 $(top_srcdir)/configure:  $(am__configure_deps)
611         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
612 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
613         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
614 $(am__aclocal_m4_deps):
615
616 mostlyclean-libtool:
617         -rm -f *.lo
618
619 clean-libtool:
620         -rm -rf .libs _libs
621 tags TAGS:
622
623 ctags CTAGS:
624
625 cscope cscopelist:
626
627
628 # Recover from deleted '.trs' file; this should ensure that
629 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
630 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
631 # to avoid problems with "make -n".
632 .log.trs:
633         rm -f $< $@
634         $(MAKE) $(AM_MAKEFLAGS) $<
635
636 # Leading 'am--fnord' is there to ensure the list of targets does not
637 # expand to empty, as could happen e.g. with make check TESTS=''.
638 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
639 am--force-recheck:
640         @:
641
642 $(TEST_SUITE_LOG): $(TEST_LOGS)
643         @$(am__set_TESTS_bases); \
644         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
645         redo_bases=`for i in $$bases; do \
646                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
647                     done`; \
648         if test -n "$$redo_bases"; then \
649           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
650           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
651           if $(am__make_dryrun); then :; else \
652             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
653           fi; \
654         fi; \
655         if test -n "$$am__remaking_logs"; then \
656           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
657                "recursion detected" >&2; \
658         elif test -n "$$redo_logs"; then \
659           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
660         fi; \
661         if $(am__make_dryrun); then :; else \
662           st=0;  \
663           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
664           for i in $$redo_bases; do \
665             test -f $$i.trs && test -r $$i.trs \
666               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
667             test -f $$i.log && test -r $$i.log \
668               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
669           done; \
670           test $$st -eq 0 || exit 1; \
671         fi
672         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
673         ws='[   ]'; \
674         results=`for b in $$bases; do echo $$b.trs; done`; \
675         test -n "$$results" || results=/dev/null; \
676         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
677         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
678         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
679         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
680         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
681         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
682         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
683         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
684           success=true; \
685         else \
686           success=false; \
687         fi; \
688         br='==================='; br=$$br$$br$$br$$br; \
689         result_count () \
690         { \
691             if test x"$$1" = x"--maybe-color"; then \
692               maybe_colorize=yes; \
693             elif test x"$$1" = x"--no-color"; then \
694               maybe_colorize=no; \
695             else \
696               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
697             fi; \
698             shift; \
699             desc=$$1 count=$$2; \
700             if test $$maybe_colorize = yes && test $$count -gt 0; then \
701               color_start=$$3 color_end=$$std; \
702             else \
703               color_start= color_end=; \
704             fi; \
705             echo "$${color_start}# $$desc $$count$${color_end}"; \
706         }; \
707         create_testsuite_report () \
708         { \
709           result_count $$1 "TOTAL:" $$all   "$$brg"; \
710           result_count $$1 "PASS: " $$pass  "$$grn"; \
711           result_count $$1 "SKIP: " $$skip  "$$blu"; \
712           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
713           result_count $$1 "FAIL: " $$fail  "$$red"; \
714           result_count $$1 "XPASS:" $$xpass "$$red"; \
715           result_count $$1 "ERROR:" $$error "$$mgn"; \
716         }; \
717         {                                                               \
718           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
719             $(am__rst_title);                                           \
720           create_testsuite_report --no-color;                           \
721           echo;                                                         \
722           echo ".. contents:: :depth: 2";                               \
723           echo;                                                         \
724           for b in $$bases; do echo $$b; done                           \
725             | $(am__create_global_log);                                 \
726         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
727         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
728         if $$success; then                                              \
729           col="$$grn";                                                  \
730          else                                                           \
731           col="$$red";                                                  \
732           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
733         fi;                                                             \
734         echo "$${col}$$br$${std}";                                      \
735         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
736         echo "$${col}$$br$${std}";                                      \
737         create_testsuite_report --maybe-color;                          \
738         echo "$$col$$br$$std";                                          \
739         if $$success; then :; else                                      \
740           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
741           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
742             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
743           fi;                                                           \
744           echo "$$col$$br$$std";                                        \
745         fi;                                                             \
746         $$success || exit 1
747
748 check-TESTS: 
749         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
750         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
751         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
752         @set +e; $(am__set_TESTS_bases); \
753         log_list=`for i in $$bases; do echo $$i.log; done`; \
754         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
755         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
756         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
757         exit $$?;
758 recheck: all 
759         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
760         @set +e; $(am__set_TESTS_bases); \
761         bases=`for i in $$bases; do echo $$i; done \
762                  | $(am__list_recheck_tests)` || exit 1; \
763         log_list=`for i in $$bases; do echo $$i.log; done`; \
764         log_list=`echo $$log_list`; \
765         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
766                 am__force_recheck=am--force-recheck \
767                 TEST_LOGS="$$log_list"; \
768         exit $$?
769 .tests.log:
770         @p='$<'; \
771         $(am__set_b); \
772         $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
773         --log-file $$b.log --trs-file $$b.trs \
774         $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
775         "$$tst" $(AM_TESTS_FD_REDIRECT)
776 @am__EXEEXT_TRUE@.tests$(EXEEXT).log:
777 @am__EXEEXT_TRUE@       @p='$<'; \
778 @am__EXEEXT_TRUE@       $(am__set_b); \
779 @am__EXEEXT_TRUE@       $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
780 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
781 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
782 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
783
784 distdir: $(BUILT_SOURCES)
785         $(MAKE) $(AM_MAKEFLAGS) distdir-am
786
787 distdir-am: $(DISTFILES)
788         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
789         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
790         list='$(DISTFILES)'; \
791           dist_files=`for file in $$list; do echo $$file; done | \
792           sed -e "s|^$$srcdirstrip/||;t" \
793               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
794         case $$dist_files in \
795           */*) $(MKDIR_P) `echo "$$dist_files" | \
796                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
797                            sort -u` ;; \
798         esac; \
799         for file in $$dist_files; do \
800           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
801           if test -d $$d/$$file; then \
802             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
803             if test -d "$(distdir)/$$file"; then \
804               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
805             fi; \
806             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
807               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
808               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
809             fi; \
810             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
811           else \
812             test -f "$(distdir)/$$file" \
813             || cp -p $$d/$$file "$(distdir)/$$file" \
814             || exit 1; \
815           fi; \
816         done
817 check-am: all-am
818         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
819 check: check-am
820 all-am: Makefile
821 installdirs:
822 install: install-am
823 install-exec: install-exec-am
824 install-data: install-data-am
825 uninstall: uninstall-am
826
827 install-am: all-am
828         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
829
830 installcheck: installcheck-am
831 install-strip:
832         if test -z '$(STRIP)'; then \
833           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
834             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
835               install; \
836         else \
837           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
838             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
839             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
840         fi
841 mostlyclean-generic:
842         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
843         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
844         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
845
846 clean-generic:
847
848 distclean-generic:
849         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
850         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
851
852 maintainer-clean-generic:
853         @echo "This command is intended for maintainers to use"
854         @echo "it deletes files that may require special tools to rebuild."
855 clean: clean-am
856
857 clean-am: clean-generic clean-libtool mostlyclean-am
858
859 distclean: distclean-am
860         -rm -f Makefile
861 distclean-am: clean-am distclean-generic
862
863 dvi: dvi-am
864
865 dvi-am:
866
867 html: html-am
868
869 html-am:
870
871 info: info-am
872
873 info-am:
874
875 install-data-am:
876
877 install-dvi: install-dvi-am
878
879 install-dvi-am:
880
881 install-exec-am:
882
883 install-html: install-html-am
884
885 install-html-am:
886
887 install-info: install-info-am
888
889 install-info-am:
890
891 install-man:
892
893 install-pdf: install-pdf-am
894
895 install-pdf-am:
896
897 install-ps: install-ps-am
898
899 install-ps-am:
900
901 installcheck-am:
902
903 maintainer-clean: maintainer-clean-am
904         -rm -f Makefile
905 maintainer-clean-am: distclean-am maintainer-clean-generic
906
907 mostlyclean: mostlyclean-am
908
909 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
910
911 pdf: pdf-am
912
913 pdf-am:
914
915 ps: ps-am
916
917 ps-am:
918
919 uninstall-am:
920
921 .MAKE: check-am install-am install-strip
922
923 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
924         clean-libtool cscopelist-am ctags-am distclean \
925         distclean-generic distclean-libtool distdir dvi dvi-am html \
926         html-am info info-am install install-am install-data \
927         install-data-am install-dvi install-dvi-am install-exec \
928         install-exec-am install-html install-html-am install-info \
929         install-info-am install-man install-pdf install-pdf-am \
930         install-ps install-ps-am install-strip installcheck \
931         installcheck-am installdirs maintainer-clean \
932         maintainer-clean-generic mostlyclean mostlyclean-generic \
933         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
934         uninstall uninstall-am
935
936 .PRECIOUS: Makefile
937
938
939 # Convenience targets:
940 lib:
941         @$(MAKE) $(AM_MAKEFLAGS) -C $(top_builddir)/src lib
942
943 update:
944         (cd $(srcdir) && ./update.sh)
945
946 -include $(top_srcdir)/git.mk
947
948 # Tell versions [3.59,3.63) of GNU make to not export all variables.
949 # Otherwise a system limit (for SysV at least) may be exceeded.
950 .NOEXPORT: